//
//  SampleCodeViewController.m
//  SampleCode
//
//  Created by Imthiaz Rafiq on 2/11/10.
//

#import "SampleCodeViewController.h"
#import <QuartzCore/QuartzCore.h>

@implementation SampleCodeViewController


-(void)viewDidLoad{
	[super viewDidLoad];
	[self.view setBackgroundColor:[UIColor blackColor]];
	
	//Create a Imageview
	UIImageView * imageView = [[UIImageView alloc] initWithFrame:CGRectMake(10, 100, 300, 225)];
	//Load some image 
	[imageView setImage:[UIImage imageNamed:@"candle.jpg"]];
	
	//Enable maskstobound so that corner radius would work.
	[imageView.layer setMasksToBounds:YES];
	//Set the corner radius
	[imageView.layer setCornerRadius:10.0];
	//Set the border color
	[imageView.layer setBorderColor:[[UIColor whiteColor] CGColor]];
	//Set the image border
	[imageView.layer setBorderWidth:3.0];
	
	UIView * loadingView = [[UIView alloc] initWithFrame:CGRectMake(60, 50, 180, 120)];
	[loadingView setBackgroundColor:[UIColor colorWithRed:0.0 green:0.0 blue:0.0 alpha:0.5]];
	
	//Enable maskstobound so that corner radius would work.
	[loadingView.layer setMasksToBounds:YES];
	//Set the corner radius
	[loadingView.layer setCornerRadius:10.0];
	//Set the border color
	[loadingView.layer setBorderColor:[[UIColor whiteColor] CGColor]];
	//Set the image border
	[loadingView.layer setBorderWidth:3.0];
	
	//Add a activity indicator
	UIActivityIndicatorView * activityView = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhiteLarge];
	[activityView setFrame:CGRectMake(72, 27, 37, 37)];
	[activityView setHidesWhenStopped:YES];
	[activityView startAnimating];
	[loadingView addSubview:activityView];
	[activityView release];
	
	//Add a label
	UILabel * loadingViewLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 75, 180, 21)];
	loadingViewLabel.text = @"Loading ...";
	loadingViewLabel.opaque = NO;
	loadingViewLabel.textAlignment = UITextAlignmentCenter;
	loadingViewLabel.adjustsFontSizeToFitWidth = NO;
	loadingViewLabel.backgroundColor = [UIColor clearColor];
	loadingViewLabel.textColor = [UIColor whiteColor];
	[loadingView addSubview:loadingViewLabel];
	[loadingViewLabel release];	
	
	//Add the loadingView as a subview to imageView
	[imageView addSubview:loadingView];
	[loadingView release];
	
	//Add the imageview as a subview to main view
	[self.view addSubview:imageView];
	[imageView release];
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
